# Interface IParagraphStylePropertiesOptions

#### Hierarchy

- ILevelParagraphStylePropertiesOptions
  - IParagraphStylePropertiesOptions
    - IParagraphPropertiesOptions

- Defined in src/file/paragraph/properties.ts:31

#####
Index

### Properties

alignment?
contextualSpacing?
indent?
keepLines?
keepNext?
leftTabStop?
numbering?
outlineLevel?
rightTabStop?
spacing?
thematicBreak?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

Inherited from ILevelParagraphStylePropertiesOptions.alignment

- Defined in src/file/paragraph/properties.ts:19

### `Optional` `Readonly` contextualSpacing

contextualSpacing?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.contextualSpacing

- Defined in src/file/paragraph/properties.ts:21

### `Optional` `Readonly` indent

indent?: IIndentAttributesProperties

Inherited from ILevelParagraphStylePropertiesOptions.indent

- Defined in src/file/paragraph/properties.ts:24

### `Optional` `Readonly` keepLines

keepLines?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.keepLines

- Defined in src/file/paragraph/properties.ts:27

### `Optional` `Readonly` keepNext

keepNext?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.keepNext

- Defined in src/file/paragraph/properties.ts:26

### `Optional` `Readonly` leftTabStop

leftTabStop?: number

Inherited from ILevelParagraphStylePropertiesOptions.leftTabStop

- Defined in src/file/paragraph/properties.ts:23

### `Optional` `Readonly` numbering

numbering?: {
custom?: boolean;
instance?: number;
level: number;
reference: string;
}

#### Type declaration

- ##### `Optional` `Readonly` custom?: boolean

- ##### `Optional` `Readonly` instance?: number

- ##### `Readonly` level: number

- ##### `Readonly` reference: string

- Defined in src/file/paragraph/properties.ts:32

### `Optional` `Readonly` outlineLevel

outlineLevel?: number

Inherited from ILevelParagraphStylePropertiesOptions.outlineLevel

- Defined in src/file/paragraph/properties.ts:28

### `Optional` `Readonly` rightTabStop

rightTabStop?: number

Inherited from ILevelParagraphStylePropertiesOptions.rightTabStop

- Defined in src/file/paragraph/properties.ts:22

### `Optional` `Readonly` spacing

spacing?: ISpacingProperties

Inherited from ILevelParagraphStylePropertiesOptions.spacing

- Defined in src/file/paragraph/properties.ts:25

### `Optional` `Readonly` thematicBreak

thematicBreak?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.thematicBreak

- Defined in src/file/paragraph/properties.ts:20

Generated using TypeDoc